# Class MessagePopup

#### Hierarchy

- MessagePopup

- Defined in src/message/Popup.js:63

#####
Index

### Properties

autoDestroy_
element_
sce_
scope
timeout_

### Methods

addClass
destroy
getOpen
open
setAutoDestroy
setContent
setHeight
setOpen
setSize
setTitle
setUrl
setWidth

## Properties

### autoDestroy_

autoDestroy_: boolean

- Defined in src/message/Popup.js:104
- Defined in src/message/Popup.js:210

### element_

element_: JQuery<HTMLElement>

The element.

- Defined in src/message/Popup.js:99

### sce_

sce_: ISCEService

- Defined in src/message/Popup.js:87

### scope

scope: IScope

The scope the compiled element is link to.

- Defined in src/message/Popup.js:69

### timeout_

timeout_: ITimeoutService

- Defined in src/message/Popup.js:92

## Methods

### addClass

- addClass(cls: string): void

- Add an extra CSS class name to the popup.

  #### Parameters

  - ##### cls: string

    Class name to add to the popup element.

  #### Returns void

  - Defined in src/message/Popup.js:218

### destroy

- destroy(): void

- Destroy the popup.

  #### Returns void

  - Defined in src/message/Popup.js:134

### getOpen

- getOpen(): boolean

- Get the current popup state.

  ### Returns

  `true` if the popup is currently, otherwise `false`.

  #### Returns boolean

  - Defined in src/message/Popup.js:116

### open

- open(options: PopupOptions): void

- Open a popup with the given properties.

  #### Parameters

  - ##### options: PopupOptions

    Options.

  #### Returns void

  - Defined in src/message/Popup.js:227

### setAutoDestroy

- setAutoDestroy(autoDestroy: boolean): void

- Set the popup's autoDestroy property.

  #### Parameters

  - ##### autoDestroy: boolean

    Whether to automatically destroy the popup when being closed or not.

  #### Returns void

  - Defined in src/message/Popup.js:209

### setContent

- setContent(content: string, opt_trusted?: boolean): void

- Set the popup's content. Note: the type of the `content` param is `*` instead of `string`, this is because the content may be trusted using `$sce.trustAsHtml`.

  #### Parameters

  - ##### content: string

    The content.

  - ##### `Optional` opt_trusted: boolean

    Whether the content can be trusted. Default is false.

  #### Returns void

  - Defined in src/message/Popup.js:159

### setHeight

- setHeight(height: string): void

- Set the popup's height.

  #### Parameters

  - ##### height: string

    Height the popup should have.

  #### Returns void

  - Defined in src/message/Popup.js:188

### setOpen

- setOpen(open: boolean): void

- Show/hide the popup.

  #### Parameters

  - ##### open: boolean

    `true` to show the popup, `false` to hide it.

  #### Returns void

  - Defined in src/message/Popup.js:126

### setSize

- setSize(width: string, height: string): void

- Set the popup's width and height.

  #### Parameters

  - ##### width: string

    Width the popup should have.

  - ##### height: string

    Height the popup should have.

  #### Returns void

  - Defined in src/message/Popup.js:198

### setTitle

- setTitle(title: string): void

- Set the popup's title.

  #### Parameters

  - ##### title: string

    The title.

  #### Returns void

  - Defined in src/message/Popup.js:144

### setUrl

- setUrl(url: string): void

- Set the popup's content with an iframe using the given url.

  #### Parameters

  - ##### url: string

    The url of the page.

  #### Returns void

  - Defined in src/message/Popup.js:169

### setWidth

- setWidth(width: string): void

- Set the popup's width.

  #### Parameters

  - ##### width: string

    Width the popup should have.

  #### Returns void

  - Defined in src/message/Popup.js:179

Generated using TypeDoc